Name:           ksuperkey
Version:        0.3
Release:        %mkrel 1
Summary:        A friendly nzb usenet binary download application
Group:          Graphical desktop/KDE4
License:        GPLv2+
URL:            http://kde-apps.org/content/show.php?content=154569
Source0:        %{name}-%{version}.tar.xz
Source1:	ksuperkey.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
ksuperkey allows you to open the application launcher
in KDE Plasma Desktop using the Super key (also known
as the 'Windows key'). Unlike other solutions,
it will not affect your current keyboard shortcuts,
as the Super key will still act as a modifier when
held down.

If the application launcher does not show up, make sure that its shortcut is set to Alt+F1:
right click on the application launcher icon -> Application Launcher Settings -> Keyboard Shortcut.

%prep
%setup -q


%build
make 


%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/autostart

%files
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/ksuperkey.desktop

%changelog
* Sun Apr 28 2013 Texstar <texstar at gmail.com> 0.3-1pclos2013
- create package

